[spec]
options = "+Freeciv-2.5-spec"
[info]
; Credits copied from amplio2/amplio:

artists = "
    Asian style by CapTVK
    Babylonian by CapTVK based on Erwan's version
    Celtic style by Erwan, adapted to 96x48 by CapTVK
    Roman style by CapTVK
    Modern, Post Modern and Electric Age by Smiley, www.firstcultural.com
    Medieval by CapTVK
    Steam Age by Smiley, www.firstcultural.com
    Polynesian style by CapTVK
    Airfield, city walls and misc stuff Hogne Håskjold <hogne@freeciv.org>
    Buoy by Eleazar
    Ruins by Vincent Croisier
"

; Map2oil is a rearranged and tweaked Freeciv 2.4.* Amplio2 tileset, see
; map2oil.tilespec for general info.  This map2oil/cities.spec joins the
; three amplio2/*cities.spec with the amplio/*cities.png credit tiles.

; The city default tags cd.city, cd.city_wall, and cd.occupied are not
; more used by freeciv-gtk2 and dropped here.  The city.style_occupied_0
; tags must exist for all styles; they use the same sprite in Amplio(2).

; The first Amplio2 set of occupied tags (grid 1:5) is suited for large
; flags.  The second Amplio set (grid 3:5) is suited for normal flags.

; The first Amplio2 ruins (from Battle for Wesnoth) are nice, but hide
; the terrain.  The second Amplio ruins are an alternative, pick what
; you like better.  For the size of the flags modify map2oil.tilespec
; and check map2oil/extra.spec for additional flags.

[file]
gfx     = "map2oil/cities"
[grid_cities]
x_top_left   = 0
y_top_left   = 0
pixel_border = 1
dx      = 96
dy      = 72
tiles   = { "row", "column", "tag"
             0, 0, "city.asian_city_0"
             0, 1, "city.asian_city_1"
             0, 2, "city.asian_city_2"
             0, 3, "city.asian_city_3"
             0, 4, "city.asian_city_4"
;            0, 5, "user.info.asian"
             1, 0, "city.asian_wall_0"
             1, 1, "city.asian_wall_1"
             1, 2, "city.asian_wall_2"
             1, 3, "city.asian_wall_3"
             1, 4, "city.asian_wall_4"
             1, 5, "city.asian_occupied_0"
             1, 5, "city.tropical_occupied_0"
             1, 5, "city.celtic_occupied_0"
             1, 5, "city.classical_occupied_0"
             1, 5, "city.babylonian_occupied_0"
             1, 5, "city.european_occupied_0"
             1, 5, "city.industrial_occupied_0"
             1, 5, "city.electricage_occupied_0"
             1, 5, "city.modern_occupied_0"
             1, 5, "city.postmodern_occupied_0"
             2, 0, "city.babylonian_city_0"
             2, 1, "city.babylonian_city_1"
             2, 2, "city.babylonian_city_2"
             2, 3, "city.babylonian_city_3"
             2, 4, "city.babylonian_city_4"
;            2, 5, "user.info.babylonian"
             3, 0, "city.babylonian_wall_0"
             3, 1, "city.babylonian_wall_1"
             3, 2, "city.babylonian_wall_2"
             3, 3, "city.babylonian_wall_3"
             3, 4, "city.babylonian_wall_4"
;            3, 5, "city.asian_occupied_0"
;            3, 5, "city.babylonian_occupied_0"
;            3, 5, "city.celtic_occupied_0"
;            3, 5, "city.classical_occupied_0"
;            3, 5, "city.electricage_occupied_0"
;            3, 5, "city.european_occupied_0"
;            3, 5, "city.industrial_occupied_0"
;            3, 5, "city.modern_occupied_0"
;            3, 5, "city.postmodern_occupied_0"
;            3, 5, "city.tropical_occupied_0"
             4, 0, "city.celtic_city_0"
             4, 1, "city.celtic_city_1"
             4, 2, "city.celtic_city_2"
             4, 3, "city.celtic_city_3"
             4, 4, "city.celtic_city_4"
;            4, 5, "user.info.celtic"
             5, 0, "city.celtic_wall_0"
             5, 1, "city.celtic_wall_1"
             5, 2, "city.celtic_wall_2"
             5, 3, "city.celtic_wall_3"
             5, 4, "city.celtic_wall_4"
             5, 5, "city.disorder"
             6, 0, "city.classical_city_0"
             6, 1, "city.classical_city_1"
             6, 2, "city.classical_city_2"
             6, 3, "city.classical_city_3"
             6, 4, "city.classical_city_4"
;            6, 5, "user.info.classical"
             7, 0, "city.classical_wall_0"
             7, 1, "city.classical_wall_1"
             7, 2, "city.classical_wall_2"
             7, 3, "city.classical_wall_3"
             7, 4, "city.classical_wall_4"
             7, 5, "base.airbase_mg"
             8, 0, "city.electricage_city_0"
             8, 1, "city.electricage_city_1"
             8, 2, "city.electricage_city_2"
             8, 3, "city.electricage_city_3"
             8, 4, "city.electricage_city_4"
;            8, 5, "user.info.electricage"
             9, 0, "city.electricage_wall_0"
             9, 1, "city.electricage_wall_1"
             9, 2, "city.electricage_wall_2"
             9, 3, "city.electricage_wall_3"
             9, 4, "city.electricage_wall_4"
             9, 5, "tx.airbase_full"
            10, 0, "city.european_city_0"
            10, 1, "city.european_city_1"
            10, 2, "city.european_city_2"
            10, 3, "city.european_city_3"
            10, 4, "city.european_city_4"
;           10, 5, "user.info.european"
            11, 0, "city.european_wall_0"
            11, 1, "city.european_wall_1"
            11, 2, "city.european_wall_2"
            11, 3, "city.european_wall_3"
            11, 4, "city.european_wall_4"
            11, 5, "base.buoy_mg"
            12, 0, "city.industrial_city_0"
            12, 1, "city.industrial_city_1"
            12, 2, "city.industrial_city_2"
            12, 3, "city.industrial_city_3"
            12, 4, "city.industrial_city_4"
;           12, 5, "user.info.industrial"
            13, 0, "city.industrial_wall_0"
            13, 1, "city.industrial_wall_1"
            13, 2, "city.industrial_wall_2"
            13, 3, "city.industrial_wall_3"
            13, 4, "city.industrial_wall_4"
            13, 5, "base.fortress_fg"
            14, 0, "city.modern_city_0"
            14, 1, "city.modern_city_1"
            14, 2, "city.modern_city_2"
            14, 3, "city.modern_city_3"
            14, 4, "city.modern_city_4"
;           14, 5, "user.info.modern"
            15, 0, "city.modern_wall_0"
            15, 1, "city.modern_wall_1"
            15, 2, "city.modern_wall_2"
            15, 3, "city.modern_wall_3"
            15, 4, "city.modern_wall_4"
            15, 5, "base.fortress_bg"
            16, 0, "city.postmodern_city_0"
            16, 1, "city.postmodern_city_1"
            16, 2, "city.postmodern_city_2"
            16, 3, "city.postmodern_city_3"
            16, 4, "city.postmodern_city_4"
;           16, 5, "user.info.postmodern"
            17, 0, "city.postmodern_wall_0"
            17, 1, "city.postmodern_wall_1"
            17, 2, "city.postmodern_wall_2"
            17, 3, "city.postmodern_wall_3"
            17, 4, "city.postmodern_wall_4"
            17, 5, "base.ruins_mg"
            18, 0, "city.tropical_city_0"
            18, 1, "city.tropical_city_1"
            18, 2, "city.tropical_city_2"
            18, 3, "city.tropical_city_3"
            18, 4, "city.tropical_city_4"
;           18, 5, "user.info.tropical"
            19, 0, "city.tropical_wall_0"
            19, 1, "city.tropical_wall_1"
            19, 2, "city.tropical_wall_2"
            19, 3, "city.tropical_wall_3"
            19, 4, "city.tropical_wall_4"
;           19, 5, "base.ruins_mg"
          }
