[spec]
options = "+Freeciv-2.5-spec"
[info]
; Credits copied from amplio2/amplio:

artists = "
    Tatu Rissanen <tatu.rissanen@hut.fi>
    Jeff Mallatt <jjm@codewell.com> (miscellaneous)
"

; Map2oil is a rearranged and tweaked Freeciv 2.4.* Amplio2 tileset, see
; map2oil.tilespec for general info.  This map2oil/tiles.spec collects
; numbers, letters, and other info dingbats.  Two undefined Amplio(2)
; tiles.spec cells with variants of the ancient Trident tx.fallout and
; city.disorder are gone.

; Isotrident had veterancy icons in isotrident/unitsextra.spec.  Amplio
; added the veterancy to amplio/units.spec.  Amplio2 had these sprites
; in amplio2/units.png, and an extracted copy in amplio2/veterancy.spec.

; Now the same old veterancy icons ended up here in map2oil/tiles.spec,
; after adding 32 fully transparent columns at the right for the 96x48
; grid.  TBD:  Is the y offset in these sprites correct?  The x offset
; is okay.  If y is not okay some fully transparent rows can be moved
; from the top to the bottom.

; The undefined Amplio(2) units.png alternatives for unit.lowfuel and
; unit.tired are preserved in map2oil/tiles.spec, so if you really like
; these icons toggle semicolons for the relevant grid cells.

; Amplio2 for 2.5.x had nice unit.airbase, unit.buoy, and unit.fortress
; activity icons, added here at the end.  The old letter 'A' (grid 8:3)
; is disabled, kept here for other future uses.  The added unit.convert
; tag for the unit.connect icon (grid 10:4) is for 2.5.x clients.

[file]
gfx     = "map2oil/tiles"
[grid_tiles]
x_top_left   = 0
y_top_left   = 0
pixel_border = 1
dx      = 96
dy      = 48
tiles   = { "row", "column", "tag"
             0, 0, "city.t_food_0"
             0, 1, "city.t_food_1"
             0, 2, "city.t_food_2"
             0, 3, "city.t_food_3"
             0, 4, "city.t_food_4"
             0, 5, "city.t_food_5"
             0, 6, "city.t_food_6"
             0, 7, "city.t_food_7"
             0, 8, "city.t_food_8"
             0, 9, "city.t_food_9"
             1, 0, "city.t_shields_0"
             1, 1, "city.t_shields_1"
             1, 2, "city.t_shields_2"
             1, 3, "city.t_shields_3"
             1, 4, "city.t_shields_4"
             1, 5, "city.t_shields_5"
             1, 6, "city.t_shields_6"
             1, 7, "city.t_shields_7"
             1, 8, "city.t_shields_8"
             1, 9, "city.t_shields_9"
             2, 0, "city.t_trade_0"
             2, 1, "city.t_trade_1"
             2, 2, "city.t_trade_2"
             2, 3, "city.t_trade_3"
             2, 4, "city.t_trade_4"
             2, 5, "city.t_trade_5"
             2, 6, "city.t_trade_6"
             2, 7, "city.t_trade_7"
             2, 8, "city.t_trade_8"
             2, 9, "city.t_trade_9"
             3, 0, "city.size_0"
             3, 1, "city.size_1"
             3, 2, "city.size_2"
             3, 3, "city.size_3"
             3, 4, "city.size_4"
             3, 5, "city.size_5"
             3, 6, "city.size_6"
             3, 7, "city.size_7"
             3, 8, "city.size_8"
             3, 9, "city.size_9"
             4, 0, "city.size_00"
             4, 1, "city.size_10"
             4, 2, "city.size_20"
             4, 3, "city.size_30"
             4, 4, "city.size_40"
             4, 5, "city.size_50"
             4, 6, "city.size_60"
             4, 7, "city.size_70"
             4, 8, "city.size_80"
             4, 9, "city.size_90"
             5, 0, "unit.hp_100"
             5, 1, "city.size_100"
             5, 2, "city.size_200"
             5, 3, "city.size_300"
             5, 4, "city.size_400"
             5, 5, "city.size_500"
             5, 6, "city.size_600"
             5, 7, "city.size_700"
             5, 8, "city.size_800"
             5, 9, "city.size_900"
             6, 0, "unit.hp_0"
             6, 1, "unit.hp_10"
             6, 2, "unit.hp_20"
             6, 3, "unit.hp_30"
             6, 4, "unit.hp_40"
             6, 5, "unit.hp_50"
             6, 6, "unit.hp_60"
             6, 7, "unit.hp_70"
             6, 8, "unit.hp_80"
             6, 9, "unit.hp_90"
             7, 0, "unit.lowfuel"
             7, 0, "unit.tired"
             7, 1, "unit.vet_1"
             7, 2, "unit.vet_2"
             7, 3, "unit.vet_3"
             7, 4, "unit.vet_4"
             7, 5, "unit.vet_5"
             7, 6, "unit.vet_6"
             7, 7, "unit.vet_7"
             7, 8, "unit.vet_8"
             7, 9, "unit.vet_9"
;            8, 0, "unit.lowfuel"
;            8, 1, "unit.tired"
             8, 2, "upkeep.shield"
;            8, 3, "unit.airbase"
             8, 4, "unit.fortifying"
             8, 5, "unit.goto"
             8, 6, "unit.irrigate"
             8, 7, "unit.mine"
             8, 8, "unit.fallout"
             8, 9, "unit.transform"
             9, 0, "upkeep.unhappy"
             9, 1, "upkeep.food"
             9, 2, "upkeep.gold"
             9, 3, "unit.pollution"
             9, 4, "unit.fortified"
             9, 5, "unit.pillage"
             9, 6, "unit.road"
             9, 7, "unit.sentry"
             9, 8, "unit.auto_explore"
             9, 9, "unit.patrol"
            10, 0, "upkeep.unhappy2"
            10, 1, "upkeep.food2"
            10, 2, "upkeep.gold2"
            10, 3, "unit.auto_attack"
            10, 3, "unit.auto_settler"
            10, 4, "unit.connect"
            10, 4, "unit.convert"
            10, 5, "unit.stack"
            10, 6, "unit.loaded"
            10, 7, "unit.airbase"
            10, 8, "unit.buoy"
            10, 9, "unit.fortress"
          }
