[spec]
options = "+Freeciv-2.5-spec"
[info]
; Credits copied from amplio2/amplio:

artists = "
    Trident/Amplio2   nuke by Michael Johnson <justaguest>
    Isotrident/Amplio nuke Tatu Rissanen <tatu.rissanen@hut.fi>
                           Jeff Mallatt <jjm@codewell.com> (miscellaneous)
"

; Map2oil is a rearranged and tweaked Freeciv 2.4.* Amplio2 tileset, see
; map2oil.tilespec for general info.  This map2oil/nuke.spec joins the
; Amplio2 nuke based on Isotrident and the Amplio nuke based on Trident.

; Nukes were given as center + eight neighbours (3*3).  For Trident 30x30
; yields a 90x90 combined nuke (inherited by Hex2t).  Isotrident nukes
; somehow ended up with 90x88 (inherited by Isophex).  The bigger Amplio
; and Amplio2 nukes used 180x176 PNGs in a grid with one 180x176 cell.

; The old 3*3 parts still existed in Amplio(2) tiles.spec.  Presumably
; it was never used:  3*96 > 180 ended up in an info part of tiles.png,
; and 3*48 < 176 truncated visible parts at the bottom.

; Both nukes are available in map2oil/nukes.spec in 288x144 cells, with
; 54 fully transparent columns added at both sides (54+180+54=288), and
; 16 transparent rows removed at the top and the bottom (176-2*16=144).

; Pick what you like better (grid 0:0 or 1:0).  You could even define a
; 3*3 96x48 grid for the old 3*3 tags.  TBD:  Do uncombined nukes still
; work in Freeciv 2.4.x GTK2 clients, if the combined tags are disabled?

[file]
gfx     = "map2oil/nuke"
[grid_3x3]
x_top_left   = 0
y_top_left   = 144                      ; trident: 0, isotrident: 144
dx      = 96
dy      = 48
tiles   = { "row", "column", "tag"
             0, 0, "explode.nuke_00"
             0, 1, "explode.nuke_01"
             0, 2, "explode.nuke_02"
             1, 0, "explode.nuke_10"
             1, 1, "explode.nuke_11"
             1, 2, "explode.nuke_12"
             2, 0, "explode.nuke_20"
             2, 1, "explode.nuke_21"
             2, 2, "explode.nuke_22"
          }
[grid_nuke]
x_top_left   = 0
y_top_left   = 0
pixel_border = 1
dx      = 288
dy      = 144
tiles   = { "row", "column", "tag"
             0, 0, "explode.nuke"
;            1, 0, "explode.nuke"
          }
